/***************************************************************************
                          Time.h  -  description
                             -------------------
    begin                : Mon Apr 29 2002
    copyright            : (C) 2002 by Andreas Scherf
    email                : scherfa@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <qlineedit.h>
#include <qlistbox.h>
#include <qapplication.h>
// IO
#include <fstream>
#include <qdir.h>

#include "TimeGUI.h"
#include "DigitalClock.h"
#include "Preferences.h"
class Time : public TimeGUI
{
        Q_OBJECT
    public:
        Time (QWidget * parent = 0, const char *name = 0);
        virtual ~ Time ();
        void setFilename(const QString & name);
        void setStartTime (const QString & time);
        void setFormat(int i);
    protected:
        void            keyPressEvent (QKeyEvent *);
    private:
        uint getRTLCode (const QTime & t);
        char           *filename;
        int             timenumber;
        int             formatnumber;
};
