/***************************************************************************
                          timecounterdoc.h  -  description
                             -------------------
    begin                : Fre Apr 26 13:49:54 CEST 2002
    copyright            : (C) 2002 by Andreas Scherf
    email                : scherfa@web.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef TIMECOUNTERDOC_H
#define TIMECOUNTERDOC_H

// include files for QT
#include <qobject.h>
#include <qiconview.h>

// application specific includes

/**
  * the Document Class
  */

class           TimeCounterDoc:public QObject
{
    Q_OBJECT        public:
        TimeCounterDoc ();
        ~TimeCounterDoc ();
        void            newDoc ();
        bool            save ();
        bool            saveAs (const QString & filename);
        bool            load (const QString & filename);
        bool            isModified () const;

    signals:void documentChanged ();

    protected:
        bool modified;
};

#endif
